<?php
session_start(); 


include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/funcoes.php";
include "../phpconfig/slugfy.php";
include '../phpconfig/resize.php';    //Classe de resige GD2
include '../phpconfig/genpass.php';   //Geração de senhas

// ANTIGO titulo_pt

$nome_estado = mysql_real_escape_string($_POST['titulop']);

$titulo = mysql_real_escape_string($_POST['titulopl']);

// ANTIGO texto_pt

$info = mysql_real_escape_string($_POST['depp']);

$id_uf = $_POST['estados'];
if(isset($_POST['nacional'])) 
{
	$nacional = 1;
}else{
	$nacional = 0;
}

if(isset($_POST['destaque'])) 
{
	$destaque = 1;
}else{
	$destaque = 0;
}


$id_cidade = ($_POST['cidades']);

// ANTIGO texto_pt

$info = str_replace('../../assets/uploads/noticias/', 'images/', $info);

    $data_cad      =troca_data($_POST['data']);
        $slug       = slugfyURL($_POST['slug']); 
$img = $_FILES['imagem'];

// ANTIGO titulo_pt


$slug = trim($slug);
if(strlen($slug)==0) { $slug=slugfyURL($titulo); }
$id = $_POST['id'];

$img = $_FILES['imagem'];


$uploadDir = sti('up')."noticias/";

$uploadDir  = $_SERVER['DOCUMENT_ROOT'] . $uploadDir;


$fileTypes = array('jpg', 'jpeg', 'gif', 'png'); // Allowed file extensions

if (!empty($img)) {
	$tempFile   = $img['tmp_name'];
	$arch = slugfyUp($img['name']);
	$name = simplesPass(array(1,0,1,0),4)."-".$arch;
	$targetFile = $uploadDir . $name ;


	// Validate the filetype
	$fileParts = pathinfo($img['name']);
	if (in_array(strtolower($fileParts['extension']), $fileTypes)) {

		move_uploaded_file($tempFile, $targetFile);

		$resizeObj = new resize($targetFile);

		// Resize image (options: exact, portrait (pela lagura), landscape(pela altura), auto, crop)
		$resizeObj -> resizeImage(800, 476, 'portrait');
		$resizeObj -> saveImage($uploadDir.'full-'.$name, 80);
		$resizeObj -> resizeImage(588, 350, 'crop');
		$resizeObj -> saveImage($uploadDir.$name, 80);
		
		
		
	
// ALTEARAR NOME DO BANCO



		mysql_query("UPDATE info_estado SET imagem='$name' WHERE id='$id'") or die(mysql_error());


	}
}



// ALTEARAR NOME DO BANCO



mysql_query("UPDATE info_estado SET

nome_estado='$nome_estado',
info='$info',
id_cidade='$id_cidade',
slug='$slug',
titulo='$titulo',
id_uf='$id_uf' WHERE
id='$id'", $con) or die(mysql_error());


  
header("location:edit.php?id=$id");